## go-combo-pixmaps

go-combo-pixmaps

## Synopsis

    #define             GO_COMBO_PIXMAPS_TYPE
    #define             GO_COMBO_PIXMAPS                    (o)
    #define             IS_GO_COMBO_PIXMAPS                 (o)
                        GOComboPixmaps;
                        GOMenuPixmaps;
    GType               go_combo_pixmaps_get_type           (void);
    GOComboPixmaps *    go_combo_pixmaps_new                (int ncols);
    void                go_combo_pixmaps_add_element        (GOComboPixmaps *combo,
                                                             GdkPixbuf *pixbuf,
                                                             int id,
                                                             char const *tooltip);
    gboolean            go_combo_pixmaps_select_index       (GOComboPixmaps *combo,
                                                             int index);
    gboolean            go_combo_pixmaps_select_id          (GOComboPixmaps *combo,
                                                             int id);
    int                 go_combo_pixmaps_get_selected       (GOComboPixmaps const *combo,
                                                             int *index);
    GtkWidget *         go_combo_pixmaps_get_preview        (GOComboPixmaps const *combo);
    GOMenuPixmaps *     go_menu_pixmaps_new                 (int ncols);
    void                go_menu_pixmaps_add_element         (GOMenuPixmaps *menu,
                                                             GdkPixbuf *pixbuf,
                                                             int id);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GOComboBox
                                                 +----GOComboPixmaps

## Implemented Interfaces

GOComboPixmaps implements AtkImplementorIface and GtkBuildable.

## Signals

      "changed"                                        : Run Last

## Description

## Details

### GO_COMBO_PIXMAPS_TYPE

    #define GO_COMBO_PIXMAPS_TYPE	(go_combo_pixmaps_get_type ())

### GO_COMBO_PIXMAPS()

    #define GO_COMBO_PIXMAPS(o)	(G_TYPE_CHECK_INSTANCE_CAST((o), GO_COMBO_PIXMAPS_TYPE, GOComboPixmaps))

`o` : |

### IS_GO_COMBO_PIXMAPS()

    #define IS_GO_COMBO_PIXMAPS(o)	(G_TYPE_CHECK_INSTANCE_TYPE((o), GO_COMBO_PIXMAPS_TYPE))

`o` : |

### GOComboPixmaps

    typedef struct _GOComboPixmaps GOComboPixmaps;

### GOMenuPixmaps

    typedef struct _GOMenuPixmaps GOMenuPixmaps;

### go_combo_pixmaps_get_type ()

    GType               go_combo_pixmaps_get_type           (void);

Returns : |

### go_combo_pixmaps_new ()

    GOComboPixmaps *    go_combo_pixmaps_new                (int ncols);

`ncols` : |
Returns : |

### go_combo_pixmaps_add_element ()

    void                go_combo_pixmaps_add_element        (GOComboPixmaps *combo,
                                                             GdkPixbuf *pixbuf,
                                                             int id,
                                                             char const *tooltip);

Absorbs a ref to the pixbuf.

`combo` : | GOComboPixmaps
`pixbuf` : | GdkPixbuf
`id` : | an identifier for the callbacks
`tooltip` : | optional

### go_combo_pixmaps_select_index ()

    gboolean            go_combo_pixmaps_select_index       (GOComboPixmaps *combo,
                                                             int index);

`combo` : |
`index` : |
Returns : |

### go_combo_pixmaps_select_id ()

    gboolean            go_combo_pixmaps_select_id          (GOComboPixmaps *combo,
                                                             int id);

`combo` : |
`id` : |
Returns : |

### go_combo_pixmaps_get_selected ()

    int                 go_combo_pixmaps_get_selected       (GOComboPixmaps const *combo,
                                                             int *index);

`combo` : |
`index` : |
Returns : |

### go_combo_pixmaps_get_preview ()

    GtkWidget *         go_combo_pixmaps_get_preview        (GOComboPixmaps const *combo);

`combo` : |
Returns : |

### go_menu_pixmaps_new ()

    GOMenuPixmaps *     go_menu_pixmaps_new                 (int ncols);

`ncols` : |
Returns : |

### go_menu_pixmaps_add_element ()

    void                go_menu_pixmaps_add_element         (GOMenuPixmaps *menu,
                                                             GdkPixbuf *pixbuf,
                                                             int id);

`menu` : |
`pixbuf` : |
`id` : |

## Signal Details

### The `"changed"` signal

    void                user_function                      (GOComboPixmaps *gocombopixmaps,
                                                            gint            arg1,
                                                            gpointer        user_data)           : Run Last

`gocombopixmaps` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.